commit:     6e4f29fa6597d8cef241c5092b8c200433921af4
Author:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 24 17:59:18 2018 +0000
Commit:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Wed Nov 28 19:55:54 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e4f29fa

x11-libs/xapps: New upstream version 1.4.2

Signed-off-by: Kristian Fiskerstrand <k_f <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 x11-libs/xapps/Manifest           |  1 +
 x11-libs/xapps/xapps-1.4.2.ebuild | 61 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/x11-libs/xapps/Manifest b/x11-libs/xapps/Manifest
index 61252395c33..3d9a425c3b2 100644
--- a/x11-libs/xapps/Manifest
+++ b/x11-libs/xapps/Manifest
@@ -1 +1,2 @@
 DIST xapps-1.0.4.tar.gz 129497 BLAKE2B 
d668ff840fa83b4a037c4b0f1c502e1851236d7998c4e5c7161a779e170eee6f6f47a2a17e71f332edf3f42f6ccb88c20379ad3b12847277f5e57a3b3765f2ef
 SHA512 
1b735167f8edf15be1093255691c67ee1ae99664a714b75d46b1b782b00a6d1da72befc484ee66f070a829b6b8fd4dfa50bec5033220f66a1a4b577363b673b7
+DIST xapps-1.4.2.tar.gz 69709 BLAKE2B 
514e4cb2e614ccd9fa303625eb5ffb818847447b29d6d989c2abdc90b6b9840dac6124d8484b71ffc2e489a925f83dae597c0904aa79cd5d5a0c27d44420da96
 SHA512 
2d16bd893a16876270c41d755c62ca454f561931750acc719c480e63036b70dca8dae25e6a313f13ed0daae09fd650e0efcef9d272c405ccd9c04147aaf59fe2

diff --git a/x11-libs/xapps/xapps-1.4.2.ebuild 
b/x11-libs/xapps/xapps-1.4.2.ebuild
new file mode 100644
index 00000000000..b5abeaa603a
--- /dev/null
+++ b/x11-libs/xapps/xapps-1.4.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VALA_USE_DEPEND="vapigen"
+inherit vala meson gnome2-utils xdg-utils
+
+DESCRIPTION="Cross-desktop libraries and common resources"
+HOMEPAGE="https://github.com/linuxmint/xapps/";
+LICENSE="GPL-3"
+
+SRC_URI="https://github.com/linuxmint/xapps/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+SLOT="0"
+IUSE="introspection static-libs"
+
+RDEPEND="
+       >=dev-libs/glib-2.37.3:2
+       dev-libs/gobject-introspection:0=
+       gnome-base/libgnomekbd
+       gnome-base/gnome-common
+       x11-libs/cairo
+       >=x11-libs/gdk-pixbuf-2.22.0:2[introspection?]
+       >=x11-libs/gtk+-3.3.16:3[introspection?]
+       x11-libs/libxkbfile
+"
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+       dev-util/gtk-doc
+       dev-util/gtk-doc-am
+       $(vala_depend)
+"
+
+src_prepare() {
+       xdg_environment_reset
+       vala_src_prepare
+       default
+}
+
+src_configure() {
+       meson_src_configure \
+               -Dwith-docs=true
+}
+
+src_install() {
+       meson_src_install
+       rm -rf "${ED%/}"/usr/bin || die
+
+       # package provides .pc files
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to